<?php
namespace Phppot;

use Phppot\StripeService;
use Phppot\StripePayment;

$orderReferenceId = rand(100000, 999999);

require_once __DIR__ . "/../lib/StripeService.php";
require_once __DIR__ .'/../Common/Config.php';

require_once __DIR__ . '/../lib/StripePayment.php';
$stripePayment = new StripePayment();

$stripeService = new StripeService();

$currency = Config::CURRENCY;

$orderId = $stripePayment->insertOrder(Config::PRODUCT_PRICE, $currency, $orderReferenceId, "Payment in-progress");
$unitAmount = Config::PRODUCT_PRICE * 100;
$session = $stripeService->createCheckoutSession($unitAmount, $orderId);
echo json_encode($session);